News Feed
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/newsconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/news"
response = requests.get(url)
print(response.text)[
{
"id": 1552936,
"image": "https://cdn.sportxapi.com/db/PICTURES/CMS/415200/415228.jpg?_sxcdn=20260831",
"longCaption": "Club captain will give up local status in county cricket in bid to represent nation of birth",
"publishedAt": "2026-09-05T18:18:47.000Z",
"subTitle": "SportXAPI",
"summary": "Club captain will give up local status in county cricket in bid to represent nation of birth",
"title": "Leus du Plooy to leave Middlesex as he targets South Africa cap"
},
{
"id": 1552959,
"image": "https://cdn.sportxapi.com/db/PICTURES/CMS/416500/416565.jpg?_sxcdn=20260831",
"longCaption": "If it happens, the PSL will compete with the BBL and the SA20 for player availability",
"publishedAt": "2026-09-05T17:49:48.000Z",
"subTitle": "SportXAPI",
"summary": "If it happens, the PSL will compete with the BBL and the SA20 for player availability",
"title": "PCB and team owners hold talks for bringing forward PSL to January"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}News & Shorts
News Feed
Paginated news feed.
GET
/
cricket
/
api
/
v2
/
news
News Feed
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/newsconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/news"
response = requests.get(url)
print(response.text)[
{
"id": 1552936,
"image": "https://cdn.sportxapi.com/db/PICTURES/CMS/415200/415228.jpg?_sxcdn=20260831",
"longCaption": "Club captain will give up local status in county cricket in bid to represent nation of birth",
"publishedAt": "2026-09-05T18:18:47.000Z",
"subTitle": "SportXAPI",
"summary": "Club captain will give up local status in county cricket in bid to represent nation of birth",
"title": "Leus du Plooy to leave Middlesex as he targets South Africa cap"
},
{
"id": 1552959,
"image": "https://cdn.sportxapi.com/db/PICTURES/CMS/416500/416565.jpg?_sxcdn=20260831",
"longCaption": "If it happens, the PSL will compete with the BBL and the SA20 for player availability",
"publishedAt": "2026-09-05T17:49:48.000Z",
"subTitle": "SportXAPI",
"summary": "If it happens, the PSL will compete with the BBL and the SA20 for player availability",
"title": "PCB and team owners hold talks for bringing forward PSL to January"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Query Parameters
Zero-based page.
Example:
"0"
Response
Successful Response (JSON)
